summaryrefslogtreecommitdiff
path: root/desktop/recoll/recoll.SlackBuild
diff options
context:
space:
mode:
authortitopoquito <titopoquito@gmail.com>2011-07-08 18:06:18 -0300
committerNiels Horn <niels.horn@slackbuilds.org>2011-07-14 19:50:57 -0300
commitc0cc4461e7ea840c5fd8a3eeb4a8ceb962ba3493 (patch)
tree0a03c58fd95a45b5c590256747bc64151d965046 /desktop/recoll/recoll.SlackBuild
parent6a93398fdceb06d9d63313d045e8762dda40770b (diff)
downloadslackbuilds-c0cc4461e7ea840c5fd8a3eeb4a8ceb962ba3493.tar.gz
desktop/recoll: Updated for version 1.15.8.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'desktop/recoll/recoll.SlackBuild')
-rw-r--r--desktop/recoll/recoll.SlackBuild23
1 files changed, 20 insertions, 3 deletions
diff --git a/desktop/recoll/recoll.SlackBuild b/desktop/recoll/recoll.SlackBuild
index 0ac7e79927..e2fbe68db0 100644
--- a/desktop/recoll/recoll.SlackBuild
+++ b/desktop/recoll/recoll.SlackBuild
@@ -25,10 +25,26 @@
# Modified by the SlackBuilds.org Project
PRGNAM=recoll
-VERSION=${VERSION:-1.14.4}
+VERSION=${VERSION:-1.15.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# from the official online documenatation:
+#
+# --enable-camelcase will enable splitting camelCase words. This is not enabled
+# by default as it has the unfortunate side-effect of making some phrase searches
+# quite confusing: ie, "MySQL manual" would be matched by "MySQL manual" and
+# "my sql manual" but not "mysql manual" (only inside phrase searches).
+#
+# to use this feature, set ENABLE_CAMELCASE to YES (default is to let it disabled)
+ENABLE_CAMELCASE=${ENABLE_CAMELCASE:-"NO"}
+
+if test $ENABLE_CAMELCASE=="YES"
+ then CAMEL_CASE_CONFIG="--enable-camelcase"
+ else CAMEL_CASE_CONFIG=""
+fi
+
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -56,7 +72,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -71,9 +87,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure \
+./configure $CAMEL_CASE_CONFIG \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \